/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function lookup(from, what, alternate = null) {
    const key = String(what);
    if (contains(from, key)) {
        return from[key];
    }
    return alternate;
}
exports.lookup = lookup;
const hasOwnProperty = Object.prototype.hasOwnProperty;
function contains(from, what) {
    return hasOwnProperty.call(from, what);
}
exports.contains = contains;
function forEach(from, callback) {
    for (const key in from) {
        if (hasOwnProperty.call(from, key)) {
            const result = callback({ key: key, value: from[key] }, function () {
                delete from[key];
            });
            if (result === false) {
                return;
            }
        }
    }
}
exports.forEach = forEach;
